%define prefix /usr
%define bindir /usr/X11R6/bin
%define libdir /usr/lib
%define mandir %{_mandir}
%define sysconfdir /etc/X11
%define libexecdir /usr/libexec/mlterm
%define pixmapdir  /usr/share/pixmaps

Summary:     Multi Lingual TERMinal emulator for X
Name:	     mlterm
Version:     2.6.3
Release:     1
License:     Modified BSD-style license
Group:	     Terminals
Packager:    linuxkid <unix@cogeco.ca>
URL:         http://mlterm.sourceforge.net/
Source0:     http://prdownloads.sourceforge.net/mlterm/mlterm-%{version}.tar.gz
Source1:     %{name}.desktop
BuildRoot:   %_tmppath/%name-%version-%release-root

%description
mlterm is a multi-lingual terminal emulator written from scratch,
which supports various character sets and encodings in the world.
It also supports various unique feature such as anti-alias using 
FreeType, multiple windows, scrollbar API, scroll by mouse wheel,
automatic selection of encoding, and so on. Multiple xims are also 
supported. You can dynamically change various xims.

%prep
%setup -q
rm -rf doc/{en,ja}/CVS

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
            --bindir=%{bindir} \
	    --libdir=%{libdir} \
	    --mandir=%{mandir} \
            --libexecdir=%{libexecdir} \
	    --sysconfdir=%{sysconfdir}\
	    --enable-imlib \
	    --enable-anti-alias
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Terminals
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Terminals

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :                 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :                
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :              
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :             
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :            
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :          
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :       
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :      
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :    
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :       
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog LICENCE README doc/{en,ja}
/etc
/usr/X11R6
/usr/lib
/usr/libexec
/usr/man
/usr/share
